"""==========================================================
منطق برنامه دریافت کننده اعداد N,M و تعیین کننده تعداد اعداد
زوج و فرد در بازه N تا M
=========================================================="""

n = int(input("Please enter N: "))
m = int(input("Please enter M: "))
if n > m:
    n , m = m , n
odd = 0
even = 0
while n <= m:
    if n % 2 == 0:
        even += 1
    else:
        odd += 1
    n += 1

print("="*40,"\nOdd = ",odd,"\tEven = ",even)
